%define major 0
%define api 1.2
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary:	Spell checker and morphological analyzer library
Name:		hunspell
Version:	1.2.8
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Internationalization
Url:		http://hunspell.sourceforge.net/
Source0:	http://downloads.sourceforge.net/hunspell/%{name}-%{version}.tar.bz2
# (tpg) Mdv's specific path to myspell dictionaries
Patch0:		%{name}-1.2.6-dict-path.patch
BuildRequires:	libreadline-devel
BuildRequires:	libncursesw-devel
BuildRequires:	ncurses-devel
BuildRequires:	bison
BuildRequires:	libtool
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Hunspell is a spell checker and morphological analyzer library
and program designed for languages with rich morphology and complex
word compounding or character encoding.

%package -n %{libname}
Summary:	Shared libraries for hunspell
Group:		System/Libraries
Provides:	libhunspell = %{version}-%{release}

%description -n %{libname}
Shared libraries for hunspell.

%package -n %{develname}
Summary:	Development files for hunspell
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for hunspell.

%prep
%setup -q
%patch0 -p1 -b .dict

%build
%configure2_5x \
	--with-ui \
	--with-readline \
	--with-experimental

%make

%check
make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_bindir}/*
%{_mandir}/hu/man1/*
%{_mandir}/man1/*
%{_mandir}/man3/

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{api}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/*.h
%{_includedir}/%{name}/*.h*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/hu/man4/*
%{_mandir}/man4/*


%changelog
* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-4mdv2010.1
+ Revision: 520123
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2.8-3mdv2010.0
+ Revision: 425192
- rebuild

* Thu Mar 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.8-2mdv2009.1
+ Revision: 354333
- rebuild for latest readline

* Tue Nov 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.8-1mdv2009.1
+ Revision: 299853
- update to new version 1.2.8
- enable some extra experimental functions

* Tue Nov 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.7-2mdv2009.1
+ Revision: 299841
- rebuild

* Mon Aug 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.7-1mdv2009.0
+ Revision: 275775
- adjust rpm group
- update to new version 1.2.7
- enable checks

* Wed Aug 13 2008 Tiago Salem <salem@mandriva.com.br> 1.2.6-3mdv2009.0
+ Revision: 271416
- add a provide for libhunspell
- bump release

* Mon Jul 21 2008 Thierry Vignaud <tv@mandriva.org> 1.2.6-2mdv2009.0
+ Revision: 239269
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Jul 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.6-1mdv2009.0
+ Revision: 237832
- update to new version 1.2.6
- Patch0: add mandriva specific path to myspell dictionaries

* Thu Jul 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.5-1mdv2009.0
+ Revision: 233526
- update to new version 1.2.5
- run scriplets only for mdv releases older than 2009.0

* Wed Jun 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.4-1mdv2009.0
+ Revision: 225403
- add missing buildrequire on ncurses-devel
- fix file list
- update to new version 1.2.4

  + Thierry Vignaud <tv@mandriva.org>
    - make it backportable on 2008.1

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 213002
- add sources and spec file
- Created package structure for hunspell.

